<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// Product Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
	'product_category_section',
	array(
		'title'         => __( 'Banner Section', 'lz-fitness-premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'product_category_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'product_category_section_disable',
		array(
			'settings'      => 'product_category_section_disable',
			'section'       => 'product_category_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ), 
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'categories', 'product_category_section', $color='#fff');


//FEATURED PAGES
for( $i = 1; $i <= 3; $i++ ){

    $wp_customize->add_setting(
        'product_category_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'product_category_featured_header'.$i,
            array(
                'settings'      => 'product_category_header'.$i,
                'section'       => 'product_category_section',
                'label'         => __( 'Banner '.$i, 'lz-fitness-premium' )
            )
        )
    );

lzAddElement($wp_customize, 'product_catelauge_title'.$i, 'product_category_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='SPECIAL WINTER EXCLUSIVE');
lzAddElement($wp_customize, 'product_catelauge_discounttext'.$i, 'product_category_section', $type = 'text', $label="Text", $callback ='lz_fitness_sanitize_text', $default='ALL CATEGORIES');

lzAddElement($wp_customize, 'product_catelauge_discounttitle'.$i, 'product_category_section', $type = 'text', $label="Discount Text", $callback ='lz_fitness_sanitize_text', $default='10&#37; OFF');


lzAddImageElement($wp_customize, 'product_category_image'.$i, 'product_category_section', $label="Recommended Image Size: 600X200px");

lzAddElement($wp_customize, 'product_catelauge_url_'.$i, 'product_category_section', $type = 'text', $label="Banner Link", $callback ='esc_url', $default='Add link here');

    /*code for button text*/
    $wp_customize->add_setting(
        'theme_eye_product_cat_button_title_'.$i,
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('SHOP NOW', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'theme_eye_product_cat_button_title_'.$i,
        array(
            'settings' =>'theme_eye_product_cat_button_title_'.$i,
            'section' => 'product_category_section',
            'type'=> 'text',
            'label'=> __('Button Text', 'lz-fitness-premium')
        )
    );

}
  //Heading color
addColorPalatOption($wp_customize, 'product_category_Heading_color', 'product_category_section', 'Title color', '#000000');
//Heading color
addColorPalatOption($wp_customize, 'product_category_text_color', 'product_category_section', 'Text color', '#000000');
//Text color
addColorPalatOption($wp_customize, 'product_category_Discounttext_color', 'product_category_section', 'Discount Text color', '#ffffff');
//Text color
addColorPalatOption($wp_customize, 'product_category_Button_color', 'product_category_section', 'Button Text color', '#000000');
//Text color
addColorPalatOption($wp_customize, 'product_category_box_color', 'product_category_section', 'Discount Box color', '#ec000a');
//Outline color
addColorPalatOption($wp_customize, 'product_category_outline_color', 'product_category_section', 'Outline color', '#ffffff');
